This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 542668 - kpackagekit wrong use polkit-gnome
kpackagekit wrong use polkit-gnome
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-30 08:53 EST by Martin Naď
Modified: 2010-08-09 12:11 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-09 12:11:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
kpackagekit bt (14.31 KB, text/plain)
2010-01-23 16:24 EST, Martin Naď
no flags Details

  None (edit)
Description Martin Naď 2009-11-30 08:53:13 EST
Description of problem:
when if a new for example rpmfusion-release and I try to update kpackagit ask for password along with with error mesage

Version-Release number of selected component (if applicable):
latest

How reproducible:
everytime

Steps to Reproduce:
1.update/install release package with new gpg key
2.
3.
  
Actual results:
kpackagekit has problem with import gpg key

Expected results:
kpackagekit import gpg key without problem

Additional info:
Comment 1 Martin Naď 2009-11-30 09:10:03 EST
error massage "An unknown error happened."
Comment 2 Martin Naď 2009-11-30 09:21:19 EST
thats maybe envokes polkit 

this from when if I want try start s-c-s
Traceback (most recent call last):
  File "/usr/bin/system-config-services", line 1038, in <module>
    GUI(use_dbus=use_dbus).run()
  File "/usr/bin/system-config-services", line 986, in __init__
    self.serviceherders.append(cls(bus=self._bus))
  File "/usr/lib/python2.6/site-packages/scservices/dbus/proxy/serviceherders.py", line 47, in __init__
    self.dbus_service_path)
  File "/usr/lib/python2.6/site-packages/dbus/bus.py", line 244, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.6/site-packages/dbus/proxies.py", line 241, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.6/site-packages/dbus/bus.py", line 183, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.6/site-packages/dbus/bus.py", line 281, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.6/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1

https://bugzilla.redhat.com/show_bug.cgi?id=528680
Comment 3 Martin Naď 2009-12-02 13:49:23 EST
now when if I write password polkit-gnome ,in kpackage, everytime says fail  authentication (cz=selhalo overeni)
maybe polkit-gnome use only gnome-settings keybord layout.
Comment 4 Martin Naď 2009-12-06 03:35:28 EST
on rawhide kpackagekit works
Comment 5 Steven M. Parrish 2009-12-14 17:15:03 EST
Please try kpackagekit-0.5.2 from updates testing to see if it fixes this issue.

This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Martin Naď 2009-12-22 10:20:15 EST
looks better polkit respects my password, but I still can`t import the new GPG-key with kpackagekit .I don`t know has packagekit can import new-gpgkey in default settings polkit
Comment 7 Martin Naď 2010-01-23 16:24:34 EST
Created attachment 386383 [details]
kpackagekit bt

after some updates kpackagekit crash after ask for a password
Comment 8 Martin Naď 2010-01-25 13:43:17 EST
kpackagekit-0.5.4-2.fc12.x86_64 has no problem with import gpgkey and work, but sometimes crash viz Comment 7
Comment 9 Martin Naď 2010-02-20 12:18:23 EST
upstream bug
https://bugs.kde.org/show_bug.cgi?id=220344

Note You need to log in before you can comment on or make changes to this bug.